Daily supply & demand
curl --request GET \
--url https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ticker": "<string>",
"data[].bup": 123,
"data[].sdp": 123,
"data[].bsr": 123,
"data[].t": "<string>"
}API Reference
Daily supply & demand
Get daily supply and demand data for a stock symbol.
GET
/
nyx
/
v1
/
intraday
/
{ticker}
/
bsa
Daily supply & demand
curl --request GET \
--url https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ticker": "<string>",
"data[].bup": 123,
"data[].sdp": 123,
"data[].bsr": 123,
"data[].t": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Stock symbol, e.g. TCB.
Query Parameters
Investor type: sheep (small retail), wolf (medium institutional), shark (large institutional), all (default). Loại nhà đầu tư: sheep = cá nhân nhỏ lẻ, wolf = tổ chức vừa, shark = tổ chức lớn, all = tất cả.
Available options:
sheep, wolf, shark, all